#### Description:

This function finds the angle, as seen from point A, between the positive direction of a specified axis, and the geodesic curve joining point A to point B.

#### Synopsis

double astAxAngle( AstFrame ∗this, const double a[], const double b[], int axis )

#### Parameters:

##### this

Pointer to the Frame.

##### a

An array of double, with one element for each Frame axis (Naxes attribute) containing the coordinates of the first point.

##### b

An array of double, with one element for each Frame axis (Naxes attribute) containing the coordinates of the second point.

##### axis

The number of the Frame axis from which the angle is to be measured (axis numbering starts at 1 for the first axis).

#### Returned Value

##### astAxAngle

The angle in radians, from the positive direction of the specified axis, to the line AB. If the Frame is 2-dimensional, it will be in the range [-PI/2,+PI/2], and positive rotation is in the same sense as rotation from the positive direction of axis 2 to the positive direction of axis 1. If the Frame has more than 2 axes, a positive value will always be returned in the range zero to PI.

#### Notes:

- The geodesic curve used by this function is the path of shortest distance between two points, as defined by the astDistance function.

- This function will return `"` bad`"` coordinate values (AST__BAD) if any of the input coordinates has this value, or if the require position angle is undefined.

Copyright (C) 2021 East Asian Observatory